import { createRequire } from 'node:module';
import { dirname, resolve } from 'node:path';
import { fileURLToPath } from 'node:url';
import react from '@vitejs/plugin-react';
const extensions = [
    '.lng.tsx',
    '.web.tsx',
    '.tsx',
    '.lng.ts',
    '.web.ts',
    '.ts',
    '.lng.jsx',
    '.web.jsx',
    '.jsx',
    '.lng.js',
    '.web.js',
    '.js',
    '.json',
];
const __dirname = dirname(fileURLToPath(import.meta.url));
const rootPath = resolve(__dirname, '..');
const require = createRequire(rootPath);
const reactNativeLightningPath = require.resolve('@plexinc/react-native-lightning');
const vitePlugin = (options) => [
    react(options?.reactOptions),
    {
        name: 'vite-react-native-lightning',
        enforce: 'pre',
        config: () => ({
            define: {
                global: 'window',
            },
            optimizeDeps: {
                esbuildOptions: {
                    resolveExtensions: extensions,
                },
            },
            resolve: {
                extensions,
                alias: {
                    'react-native': reactNativeLightningPath,
                },
            },
        }),
    },
];
export default vitePlugin;
